﻿using Abp;
using Abp.Dependency;
using Topshelf;

namespace MyCompanyName.AbpZeroTemplate.WinService
{
    public class AbpZeroWinService : ServiceControl
    {
        private AbpBootstrapper _bootstrapper;
        public bool Start(HostControl hostControl)
        {
            _bootstrapper = IocManager.Instance.Resolve<AbpBootstrapper>();
            _bootstrapper.Initialize();
            return true;
        }

        public bool Stop(HostControl hostControl)
        {
            _bootstrapper.Dispose();
            return true;
        }
    }
}
